% RA: respuestas-5.in
% ¿Cuál es el estado civil de Luna?
% Departamento de Ciencias de la Computación e Inteligencia Artificial
% Universidad de Sevilla
%==============================================================================


%==============================================================================
% Enunciado
%==============================================================================

%   Si Luna es una persona y todas las personas están solteras o casadas, ¿cuál
% es el estado civil de Luna?

%==============================================================================
% Formalización
%==============================================================================

set(ur_res).

formula_list(usable).
 Persona(Luna).
 all x (Persona(x) -> Estado(x,Soltero) | Estado(x,Casado)).
end_of_list.

formula_list(sos).
 all x (Estado(Luna, x) -> $ANS(x)).
end_of_list.

%==============================================================================
